-- ----------------------------------------------------------------------------
-- Copyright (C) 2011 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Italian TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Silvia"
language = "Italian"
marc_code = "ita"
language_id = "5"
id = "5002"
config_file = "italian_tts/config_tts.lua"
audio_files_path = "italian_tts/italian_tts"
rulesets_file = "italian_tts/italian_tts/rulesets_ITI.txt"
userdictionary_file = "italian_tts/italian_tts/udct_iti.dat"
apdb = "apdb/silvia/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "raggiungerà la sua destinazione",                           -- You will reach your destination
    ["STOPOVER"] = "raggiungerà una fermata intermedia",                   -- You will reach a stopover
    ["JUNCTION"] = nil,                                                    -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                               -- the junction
    ["ROUNDABOUT"] = "alla rotatoria",                                     -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "prendere l'uscita",                             -- take the exit
    ["UTURN"] = "fare un'inversione",                                      -- Make a uturn
    ["ENTER_HIGHWAY"] = "prendere l'autostrada",
    ["LEAVE_HIGHWAY"] = "prendere l'uscita",                               -- take the exit
    ["CONTINUE_HIGHWAY"] = "prendere l'uscita",                            -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "prendere l'autostrada",
    ["LEAVE_URBAN_HIGHWAY"] = "prendere l'uscita",                         -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "prendere l'uscita",
    ["DRIVE_TO_NEAREST_ROAD"] = "Dirigersi verso la strada più vicina",    -- drive to nearest road 
    ["FERRY"] = "prendere il traghetto"
}

maneuver_turns_car = {
    ["NO_TURN"] = "proseguire diritto",
    ["KEEP_MIDDLE"] = "prendere la corsia centrale",
    ["KEEP_RIGHT"] = "tenersi a destra",
    ["LIGHT_RIGHT"] = "svoltare leggermente a destra",
    ["QUITE_RIGHT"] = "svoltare a destra",
    ["HEAVY_RIGHT"] = "svoltare decisamente a destra",
    ["RETURN"] = "fare un'inversione",
    ["HEAVY_LEFT"] = "svoltare decisamente a sinistra",
    ["QUITE_LEFT"] = "svoltare a sinistra",
    ["LIGHT_LEFT"] = "svoltare leggermente a sinistra",
    ["KEEP_LEFT"] = "tenersi a sinistra",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "proseguire diritto",
    ["KEEP_MIDDLE"] = "proseguire diritto",
    ["KEEP_RIGHT"] = "prendere la strada sulla destra",
    ["LIGHT_RIGHT"] = "svoltare leggermente a destra",
    ["QUITE_RIGHT"] = "svoltare a destra",
    ["HEAVY_RIGHT"] = "svoltare decisamente a destra",
    ["RETURN"] = "fare un'inversione",
    ["HEAVY_LEFT"] = "svoltare decisamente a sinistra",
    ["QUITE_LEFT"] = "svoltare a sinistra",
    ["LIGHT_LEFT"] = "svoltare leggermente a sinistra",
    ["KEEP_LEFT"] = "prendere la strada sulla sinistra",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "attraversare l'edificio",
    ["SQUARE"] = "attraversare la piazza",
    ["PARK"] = "attraversare il parco",
    ["STAIRS"] = "prendere le scale",
    ["ELEVATOR"] = "prendere l'ascensore",
    ["ESCALATOR"] = "prendere le scale"
}

final_command = {
    ["END"] = "Ha raggiunto la sua destinazione",                  -- You have reached your destination
    ["STOPOVER"] = "Ha raggiunto una fermata intermedia"           -- You have reached a stopover
}

exit_number_check = {
    [1] = {"prendere la prima uscita", "svoltare nella prima strada"},           -- take the first exit
    [2] = {"prendere la seconda uscita", "svoltare nella seconda strada"},       -- take the second exit
    [3] = {"prendere la terza uscita", "svoltare nella terza strada"},           -- take the third exit
    [4] = {"prendere la quarta uscita", "svoltare nella quarta strada"},         -- take the fourth exit
    [5] = {"prendere la quinta uscita", "svoltare nella quinta strada"},         -- take the fifth exit
    [6] = {"prendere la sesta uscita", "svoltare nella sesta strada"},           -- take the sixth exit
    [7] = {"prendere la settima uscita", "svoltare nella settima strada"},       -- take the seventh exit
    [8] = {"prendere l'ottava uscita", "svoltare nella ottava strada"},          -- take the eighth exit
    [9] = {"prendere la nona uscita", "svoltare nella nona strada"},             -- take the ninth exit
    [10] = {"prendere la decima uscita", "svoltare nella decima strada"},        -- take the tenth exit
    [11] = {"prendere l'undicesima uscita", "svoltare nella undicesima strada"}, -- take the eleventh exit
    [12] = {"prendere la dodicesima uscita", "svoltare nella dodicesima strada"} -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "miglio",
    ["YARDS"] = "iarde",
    ["FEET"] = "piedi",
    ["KILOMETER"] = "chilometro",
    ["METERS"] = "metri",
    ["METER"] = "metri",
    ["KILOMETERS"] = "chilometri",
    ["MILES"] = "miglia",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "Nord",
    ["NORTH_EAST"] = "Nord-Est",
    ["EAST"] = "Est",
    ["SOUTH_EAST"] = "Sud-Est",
    ["SOUTH"] = "Sud",
    ["SOUTH_WEST"] = "Sud-Ovest",
    ["WEST"] = "Ovest",
    ["NORTH_WEST"] = "Nord-Ovest"
}

misc = { 
    ["gps_signal_lost_wav"] = "Segnale GPS perso",
    ["gps_signal_restored_wav"] = "La connessione GPS è stata ripristinata",
 --   ["no_gps_signal_wav"] = "Assenza di segnale GPS",
    ["route_recalculation_wav"] = "Rielaborazione dell'itinerario",
    ["now_wav"] = "Ora",
    ["end_of_street_wav"] = "Alla fine della strada",
    ["follow_motorway_wav"] = "Proseguire sull'autostrada",
    ["follow_road_wav"] = "Proseguire su questa strada",
    ["for_wav"] = "per",
    ["after_wav"] = "Fra",
    ["after_the_junction_wav"] = "Dopo l'incrocio",
    ["half_a_mile_wav"] = "mezzo miglio",
    ["quarter_a_mile_wav"] = "un quarto di miglio",
    ["three_quarter_of_mile_wav"] = "tre quarti di miglio",
    ["and_then_immediately_wav"] = "e poi subito dopo",
    ["safety_camara_ahead_wav"] = "Attenzione, Autovelox più avanti",
   --["over_speed_limit_wav"] = "Osservare il limite di velocità",
    ["traffic_automatic_detour_wav"] = "Traffico sulla tratta, percorso alternativo.",
    ["traffic_manual_detour_wav"] = "Traffico sulla tratta, desidera un percorso alternativo?",
    ["no_detour_possible"] = "Nessun percorso alternativo trovato per evitare il traffico",
    ["and_wav"] = "e",
    ["and_then_wav"] = "e quindi",
    ["and_continue_on_wav"] = "e proseguire su",
    ["towards_wav"] = "verso",
    ["towards_2_wav"] = "direzione",
    ["turn_wav"] = "svoltare",
    ["onto_wav"] = "su",
    ["exit_wav"] = "prendere l'uscita",
    ["second_right_wav"] = "prendere la seconda a destra",
    ["second_left_wav"] = "prendere la seconda a sinistra",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "camminare a sinistra lungo la rotatoria",
    ["walk_right_roundabout_wav"] = "camminare a destra lungo la rotatoria",
    ["walk_roundabout_wav"] = "camminare lungo la rotatoria",
    ["head_wav"] = "Andare verso",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "",
    ["the_footpath_wav"] = "sulla strada pedonale."
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }
plural_mile = { ["0.1"]=0, ["0.2"]=0, ["0.3"]=0, ["0.4"]=0, ["0.5"]=0, ["0.6"]=0, ["0.7"]=0, ["0.8"]=0, ["0.9"]=0 }


